<?php
/**
 * 此文件用来查看{{$Page.TableName}}表某条记录的详细。
 *
 * copyright
 * @author          {{$Page.Author}}
 * @package         {{$Page.PackageName}}
 * @version         {{$IdTag}}
 */
/* 初始化系统。 */
require_once("{{$Page.IncludePath}}Include/InitAdmin.php");
langLoadTable("{{$Page.TableName}}");

if({{$Page.JudgeEmpty}})
{
    $MyJS->alert($_LANG["MustSet"] . {{$Page.AlertInfo}});
    $MyJS->goto("Back");
    exit;
}

/* 从{{$Page.TableName}}表里面获取数据。*/
$SQL = "SELECT * FROM {{$Page.TableName}} WHERE {{$Page.WhereString}}";
$Item = $MyDB->getAll($SQL) or die($MyDB->errorMsg());
$Item = $Item[0];

/* 赋值并显示模板。*/
{{foreach from=$Page.IdField item=FieldName}}
$MyTPL->assign("{{$FieldName}}", $Item["{{$FieldName}}"]);
{{/foreach}}
$MyTPL->assign("PageTitle",   $_LANG["TableLabel"] . $_LANG["ViewPage"]);
$MyTPL->assign("Item",        $Item);
$MyTPL->assign("ConfirmDrop", $_GET["ConfirmDrop"]);
$MyTPL->display($_CFG["TPL"]);
?>